#-------------------------------------------------------------------------------------------------
# Copyright (c) International Business Machines Corp., 2009
#
# IBM XIV Storage System Software
#
# Licensed materials provided under the terms of the IBM International Program
# License Agreement. See the Software
# licensing materials that came with the IBM XIV Storage System for terms and
# conditions.
#
#------------------------------------------------------------------------------------------------- 

# Normal operation (1-100)
SERVICE_START = 1                # service
NEW_DEVICE_FOUND = 2             # manager
NEW_PATH_FOUND = 3               # manager
DEVICE_REMOVED = 4               # manager
PATH_REMOVED = 5                 # manager
ENFORCE_ROUND_ROBIN_POLICY = 6   # service (WindowsManager)

# Unexpected errors (100+)
FAILED_NATIVE_MPIO_QUERY = 100   # manager
FAILED_LOADING_BASELINE = 101    # manager
FAILED_SAVING_BASELINE = 102     # manager

FAILED_SET_LOAD_BALANCE_POLICY = 103         # windows_native_mpio
NO_MPIO_DEVICES_FOUND = 104                  # windows_native_mpio
FAILED_FIND_DEVICE_LOAD_BALANCE_POLICY = 105 # windows_native_mpio
UNKNOWN_LOAD_BALANCE_POLICY = 106            # windows_native_mpio
FAILED_GET_LOAD_BALANCE_POLICY = 107         # windows_native_mpio
FAILED_FETCH_MOUNT_POINT = 108               # windows_native_mpio

UNEXPECTED_STDERR_DATA_FROM_CLIENT = 109     # windows_native_mpio_wrapper
CHILD_PROCESS_DIED = 110                     # windows_native_mpio_wrapper
FAILED_ENFORCE_ROUND_ROBIN_POLICY = 111      # service (WindowsManager)
FAIL_OVER_ONLY_CHOSEN_FOR_XIV_DEVICE = 112   # service (WindowsManager)
NON_UNIQUE_SCSI_SERIAL = 113                 # windows_native_mpio

FAILED_REQUEST = 150                         # web_resource
