#-------------------------------------------------------------------------------------------------
# Copyright (c) International Business Machines Corp., 2009
#
# IBM XIV Storage System Software
#
# Licensed materials provided under the terms of the IBM International Program
# License Agreement. See the Software
# licensing materials that came with the IBM XIV Storage System for terms and
# conditions.
#
#-------------------------------------------------------------------------------------------------
def dict_intersect(a, b):
    return dict(filter(lambda pair: b.has_key(pair[0]), a.items()))

def dict_difference(a, b):
    return dict(filter(lambda pair: not b.has_key(pair[0]), a.items()))


def load_file(file_name):
    with open(file_name) as f:
        data = f.read()
    return data

def save_file(file_name, data):
    with open(file_name, 'w') as f:
        f.write(data)
